%global as_major 7
%global as_minor 5
%global as_rev 1
%global jbossas_version %{as_major}.%{as_minor}.%{as_rev}
%global prodversion 6.4.1

#For CP building, AS rpm may not update
%global as_rpm_version 7.5.1

%global namedreltag .Final-redhat-3
%global fullreltag .Final_redhat_3
%global namedversion %{version}%{?namedreltag}

%define base_name jbossas
# jbhomedir is /usr/share/jbossas  (files must be immutable)
%define jbhomedir %{_datadir}/%{base_name}
# jbossdir is /var/lib/jbossas  (any mutable file like logs must go here)
%define jbossdir %{_localstatedir}/lib/%{base_name}
# jbosslogdir is /var/log/jbossas  (any logs must go here)
%define jbosslogdir %{_localstatedir}/log/%{base_name}
# jbstandalonelogdir is /var/log/jbossas/standalone  (any mutable file like logs must go here)
%define jbstandalonelogdir %{jbosslogdir}/standalone

Summary:       EAP 6 AS Standalone Configuration for EC2 
Name:          jboss-ec2-eap
Version:       %{jbossas_version}
Release:       3%{fullreltag}%{?dist}
Epoch:         0
License:       LGPL
Group:         Development/Installer
URL:           http://www.jboss.org/

#git clone git://git.app.eng.bos.redhat.com/mw-cloud.git
#git archive 3aefbeb03d9169255f8c2ac80731cd5c516c81e1 --format=tgz --prefix=mw-cloud/ > mw-cloud-%{namedversion}.tar.gz
#For RHEL6, git archive 3aefbeb03d9169255f8c2ac80731cd5c516c81e1 --prefix=mw-cloud/ | gzip > mw-cloud-%{namedversion}.tar.gz
Source0:       mw-cloud-%{namedversion}.tar.gz
#aws script
Source1:       https://raw.github.com/timkay/aws/master/aws

## -------------- generate standalone.xml ----------------
#mkdir temp
#cd temp
#git clone -n git://git.app.eng.bos.redhat.com/jbossas/jboss-as.git
#git reset --hard b4ca420d272e2e002b3d78abf65ba4162a6fc687
#TODO: build.sh doesn't build subsystems-ec2-ha.xml, need to update build.xml in jboss-as/build
#cp mw-cloud/phase2/eap6/ami/configuration/standalone/subsystems-ec2-ha.xml jboss-as/build/src/main/resources/configuration/standalone/subsystems-ha.xml
#cp mw-cloud/phase2/eap6/ami/configuration/domain/subsystems-ec2.xml jboss-as/build/src/main/resources/configuration/domain/subsystems.xml
#cp mw-cloud/phase2/eap6/ami/configuration/domain/template-ec2.xml jboss-as/build/src/main/resources/configuration/domain/template.xml
#cp mw-cloud/phase2/eap6/ami/configuration/subsystems/jgroups-ec2.xml jboss-as/build/src/main/resources/configuration/subsystems/
#cp mw-cloud/phase2/eap6/ami/configuration/subsystems/modcluster-ec2.xml jboss-as/build/src/main/resources/configuration/subsystems/
#cp mw-cloud/phase2/eap6/ami/configuration/subsystems/web-ec2.xml jboss-as/build/src/main/resources/configuration/subsystems/
#cd jboss-as
###wget http://repo1.maven.org/maven2/org/jboss/maven/extension/dependency/maven-dependency-management-extension/1.1.0/maven-dependency-management-extension-1.1.0.jar -P tools/maven/lib/ext
# build all modules
# may need to do some change to pom.xml, for example: comment checkstyle plugin, core-module-tests, subsystem-test, tests artifacts in jgroups&infinispan  modules
# mvn -s conf/settings-6.4-mead.xml -f pom.xml -Dmaven.repo.local=../../localRepo -DskipTests=true -Dmaven.test.skip=true -DdependencyManagement=  clean instal
# build configurations
# mvn -s conf/settings-6.4-mead.xml -f build/pom.xml -Dmaven.repo.local=../../localRepo -DskipTests=true -Dmaven.test.skip=true -DdependencyManagement=  clean instal
#cp build/target/generated-configs/standalone/configuration/standalone-ha.xml ../../standalone-mod_cluster-ec2-ha.xml
#cp build/target/generated-configs/domain/configuration/domain.xml ../../domain-ec2.xml
Source5: standalone-mod_cluster-ec2-ha.xml
Source6: domain-ec2.xml
#comment modcluster-ec2 subsystem in build/src/main/resources/configuration/standalone/subsystems-ha.xml, rebuild
#cp build/target/generated-configs/standalone/configuration/standalone-ha.xml ../../standalone-ec2-ha.xml
#cd ..
Source2: standalone-ec2-ha.xml

#svn export -r 2516 http://anonsvn.jboss.org/repos/qa/people/akostadi/hellojsp
#tar czf hellojsp.tar.gz hellojsp/
Source3:        hellojsp.tar.gz

#git clone git://github.com/liweinan/cluster-demo.git
#git archive 38a84036275db25f8192c48ab0f3605a63d08958 --prefix=cluster-demo/ | gzip > cluster-demo.tar.gz
Source4:        cluster-demo.tar.gz

Source33:       hello.war
Source44:       cluster-demo.war


##wget http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-6.4.1-CR2/jboss-eap-6.4.1.CR2-quickstarts.zip
#https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jboss-eap-6.4.x-quickstarts/lastSuccessfulBuild/artifact/jboss-eap-6.4.1.CP.CR2-quickstarts.zip
#wget http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-6.4.1-CP.CR3/jboss-eap-6.4.1.CP.CR3-full-maven-repository.zip
#unzip jboss-eap-6.4.1.CP.CR3-quickstarts.zip
#unzip jboss-eap-6.4.1.CP.CR3-full-maven-repository.zip
##sed "s#http://maven.repository[^<]*#file:///../jboss-eap-6.4.1.GA-maven-repository#gi" ./jboss-eap-6.4.1.GA-quickstarts/settings.xml -i
###!!! if relative path of repo doesn't work, use absolute path, ex:
#sed "s#http://maven.repository[^<]*#file:///local/DistGIT/jboss-ec2-eap/temp/jboss-eap-6.4.1.GA-maven-repository#gi" ./jboss-eap-6.4.1.GA-quickstarts/settings.xml -i
#cd jboss-eap-6.4.1.GA-quickstarts/helloworld-mdb
#mvn clean package -s ../settings.xml -Dmaven.repo.local=../../../../../localRepo
#(you'll see jboss-as-helloworld-mdb.war in jboss-eap-6.3.0.Beta2-quickstarts/helloworld-mdb/target)
# cp target/jboss-helloworld-mdb.war ../../../jboss-as-helloworld-mdb-%{namedversion}.war
Source7:       jboss-as-helloworld-mdb-%{namedversion}.war

BuildRequires:    jbossas-standalone >= %{as_rpm_version}
BuildRequires:    jbossas-domain >= %{as_rpm_version}

BuildRequires:    jpackage-utils >= 0:1.7.3
#BuildRequires:    maven2
#BuildRequires:    maven2-plugin-compiler
#BuildRequires:    maven2-plugin-install
#BuildRequires:    maven2-plugin-jar
#BuildRequires:    maven2-plugin-release
#BuildRequires:    maven2-plugin-resources
#BuildRequires:    maven2-plugin-javadoc
#BuildRequires:    maven2-plugin-source
#BuildRequires:    maven2-plugin-deploy
#BuildRequires:    maven2-plugin-ejb
#BuildRequires:    maven-war-plugin
#BuildRequires:    plexus-container-default
#BuildRequires:    maven2-plugin-surefire
#BuildRequires:    maven2-plugin-surefire-report
#BuildRequires:    jboss-jms-api_1.1_spec
#BuildRequires:    jboss-ejb-api_3.1_spec
BuildRequires:    jboss-parent

Requires:         jpackage-utils
##########################################################################
###### IMPORTANT:
###### As for CPs, we don't ship the full release, hence the version of
###### jbossas-standalone and jbossas-domain maybe be at the current
###### level or at 6.2.0 level, hence we cannot have the version tied
###### Requires, this needs to be checked when we build this package
##########################################################################
###### Hard coding these Requires: at 7.3.0 (6.2.0 level)
Requires:         jbossas-standalone >= %{as_rpm_version}
Requires:         jbossas-domain >= %{as_rpm_version}
Requires:         dos2unix
Requires:	      util-linux-ng

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:    noarch

%description
This package contains EAP 6 AS Standalone Configuration for EC2.

%package samples
Summary:        Sample applications fro ec2 eap
Group:          Development/Java
Requires:       jboss-ec2-eap = %{version}


%description samples
%{summary}

%prep
%setup -q -n mw-cloud

%if 0
tar zxf %{SOURCE3}
tar zxf %{SOURCE4}
%endif

%build

%if 0
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

# hellojsp
pushd hellojsp
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install
popd

# cluster-demo
pushd cluster-demo
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

# Config files go there
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/standalone
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/domain
# ec2 config
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/standalone
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/standalone
install -p -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/domain

#init script
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -p -m 755 phase2/eap6/ami/ec2-init $RPM_BUILD_ROOT%{_initrddir}/%{name}

# install scripts
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 phase2/eap6/ami/jboss_user-data.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 phase2/eap6/ami/reserve_peer_id.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log
touch $RPM_BUILD_ROOT%{_var}/log/jboss_user-data.out
install -d -m 700 $RPM_BUILD_ROOT%{_var}/cache/%{name}
touch $RPM_BUILD_ROOT%{_var}/cache/%{name}/user-data
touch $RPM_BUILD_ROOT%{_var}/cache/%{name}/user-data.sh

#samples
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}-samples
#hellojsp
install -m 644 %{SOURCE33} $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/hello.war
#cluster-demo
install -m 644 %{SOURCE44} $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/cluster-demo.war

#jboss-as-helloworld-mdb
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/

%clean
rm -Rf $RPM_BUILD_ROOT

%pre
#JBOSS_SHELL=/sbin/nologin
#%{_sbindir}/groupadd -r jboss 2>/dev/null || :
#%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :
#if [ "$1" = 2 ]; then
  # stop server before upgrade
#  %{_initrddir}/jbossas stop >/dev/null 2>&1 || :
#fi

%post
# add jbossas service
#[ -x /sbin/chkconfig ] && /sbin/chkconfig --add jbossas || :

%files
%defattr(0755,root,root,0755)
%{_initrddir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/scripts/jboss_user-data.sh
%{_datadir}/%{name}/scripts/reserve_peer_id.sh
%{_datadir}/%{name}/scripts/aws
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{base_name}/standalone/standalone-ec2-ha.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{base_name}/standalone/standalone-mod_cluster-ec2-ha.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{base_name}/domain/domain-ec2.xml

%ghost %{_var}/log/jboss_user-data.out

%defattr(0700,root,root,0700)
%dir %{_var}/cache/%{name}
%ghost %{_var}/cache/%{name}/user-data
%ghost %{_var}/cache/%{name}/user-data.sh

%files samples
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-samples/*

%changelog
* Wed May 27 2015 Yong Yang <yyang@redhat.com> 0:7.5.1-3.Final_redhat_3
- 7.5.1.Final_redhat_3

* Fri May 15 2015 Yong Yang <yyang@redhat.com> 0:7.5.1-1.Final_redhat_2
- 7.5.1.Final_redhat_2

* Tue Apr 07 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-9.Final_redhat_21
- Rebuild 7.5.0.Final_redhat_21 with changelog added

* Tue Apr 07 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-8.Final_redhat_21
- 7.5.0.Final_redhat_21

* Mon Mar 16 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-7.Final_redhat_20
- 7.5.0.Final_redhat_20

* Mon Mar 16 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-6.Final_redhat_20
- Update mw-cloud source

* Sat Feb 28 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-1.Final_redhat_19
- 7.5.0.Final_redhat_19

* Fri Feb 13 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-2.Final_redhat_1
- Remove BR maven2*, hello.war clust-demo.war as sources

* Thu Feb 12 2015 Yong Yang <yyang@redhat.com> 0:7.5.0-1.Final_redhat_1
- 7.5.0.Final_redhat_1

* Wed Jan 21 2015 Yong Yang <yyang@redhat.com> 0:7.4.3-3.Final_redhat_2
- 7.4.3.Final_redhat_2

* Mon Oct 27 2014 Yong Yang <yyang@redhat.com> 0:7.4.2-2.Final_redhat_2
- 7.4.2.Final_redhat_2/6.3.2.CR2

* Mon Oct 20 2014 Yong Yang <yyang@redhat.com> 0:7.4.2-1.Final_redhat_1
- 7.4.2.Final_redhat_1/6.3.2.CR1

* Wed Sep 10 2014 Yong Yang <yyang@redhat.com> 0:7.4.1-1.Final_redhat_3
- 7.4.1-redhat-3/6.3.1.CR2

* Mon Jul 07 2014 Yong Yang <yyang@redhat.com> 0:7.4.0-18.Final_redhat_18
- 7.4.0-redhat-18/6.3.0.ER9

* Mon Jun 09 2014 Yong Yang <yyang@redhat.com> 0:7.4.0-15.Final_redhat_15
- 7.4.0-redhat-15/6.3.0.ER7

* Wed May 28 2014 Yong Yang <yyang@redhat.com> 0:7.4.0-13.Final_redhat_13
- 7.4.0-redhat-13/6.3.0.ER5

* Wed May 14 2014 Yong Yang <yyang@redhat.com> 0:7.4.0-12.Final_redhat_12
- 7.4.0-redhat-12/6.3.0.ER4

* Fri Apr 25 2014 Yong Yang <yyang@redhat.com> 0:7.4.0-1.Final_redhat_10
- 7.4.0-redhat-10/6.3.0.ER2

* Sat Feb 08 2014 Yong Yang <yyang@redhat.com> 0:7.3.1-3.Final_redhat_3
- Build for EAP6.2.1.CR4

* Tue Jan 28 2014 Yong Yang <yyang@redhat.com> 0:7.3.1-2.Final_redhat_2
- Build for EAP6.2.1.CR3
- Add BR: for jbossas-standalone, jbossas-domain

* Wed Jan 22 2014 Permaine Cheung <pcheung@redhat.com> 0:7.3.1-2.Final_redhat_1
- Build for EAP6.2.1.CR1 with R: fixes

* Wed Jan 22 2014 Yong Yang <yyang@redhat.com> 0:7.3.1-1.Final_redhat_11
- Build for EAP6.2.1.CR1

* Fri Nov 22 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-13.Final_redhat_14
- Build against EAP6.2.0.CR3

* Wed Nov 20 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-13.Final_redhat_13
- Update to eb9f597b1d3045671d7895b7c0329e8db871203b
- Build against EAP6.2.0.CR2 

* Mon Nov 04 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-3.Final_redhat_10
- Update to 425ee3848490764a7564def2d4f4223215b5659c
- Build against EAP6.2.0.ER7

* Wed Oct 09 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-3.Final_redhat_8
- Fix changelog

* Wed Oct 09 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-2.Final_redhat_8
- Update to 8e2582b1ce29eaec75d4a5532b27abc5bc8aff65
- Build against EAP6.2.0.ER5
 
* Fri Sep 27 2013 Yong Yang <yyang@redhat.com> 0:7.3.0-1.Final_redhat_6
- Update to 0f068aabe60b58580148e01ff1e49b323c8c8d3f
- Build against EAP6.2.0.ER3

* Fri Aug 23 2013 Yong Yang <yyang@redhat.com> 0:7.2.1-1.Final_redhat_10
- EAP6.1.1 ER10

* Wed Aug 14 2013 Yong Yang <yyang@redhat.com> 0:7.2.1-1.Final_redhat_8
- Build against EAP6.1.1 ER5

* Thu Aug 01 2013 Yong Yang <yyang@redhat.com> 0:7.2.1-1.Final_redhat_5
- Build against EAP6.1.1 ER4

* Mon Jul 22 2013 Yong Yang <yyang@redhat.com> 0:7.2.1-1.Final_redhat_4
- Update to 005434d4007f5fcc3ecc971e7b22503dd50434d2
- Build against EAP6.1.1 ER3

* Fri May 10 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-7.Final_redhat_8
- Build against EAP6.1 ER8

* Thu May 09 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-7.Final_redhat_7
- Build against EAP6.1 ER7

* Thu May 02 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-6.Final_redhat_6
- Build against EAP6.1 ER6

* Thu Apr 18 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-5.Final_redhat_5
- Build against EAP6.1 ER5

* Sun Apr 07 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-4.Final_redhat_4
- Bump release number

* Sun Apr 07 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-3.Final_redhat_4
- Build against EAP6.1.0 ER4

* Tue Mar 19 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-2.Final_redhat_1
- Update domain-ec2.xml

* Mon Mar 18 2013 Yong Yang <yyang@redhat.com> 0:7.2.0-1.Final_redhat_1
- Update to 026289470844b7ba6bd48599374f04845ee09e64
- Build against EAP6.1.0(AS 7.2.0)

* Mon Dec 10 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-7.Final_redhat_4
- Update release tag to _redhat_4 against ER4.1

* Tue Dec 4 2012 Chris O'Brien <cobrien@redhat.com> 0:7.1.3-6.Final_redhat_1
- Upgrade to b70a52ef31022c4bf1a04f8afa3839a393e45e0d

* Wed Nov 28 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-5.Final_redhat_1
- Upgrade to bbc463c68e03c9842563387ba40b21c91d1adc92
- Build against EAP6.0.1 ER4

* Mon Oct 29 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-4.Final_redhat_1
- Upgrade to bbc463c68e03c9842563387ba40b21c91d1adc92
- Build against EAP6.0.1 ER3

* Sat Sep 29 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-3.Final_redhat_1
- Upgrade to d9af79d0d34a3d7ca43d0c62eda1cadd0956db65
- Add jboss-as-helloworld-mdb.war to samples

* Fri Sep 21 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-2.Final_redhat_1
- Build against EAP6.0.1(AS 7.1.3)

* Mon Sep 17 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-16.Final_redhat_1
- Build domain configuration for EAP6.0.0(AS 7.1.2)
- R: jbossas-domain

* Fri Sep 07 2012 Yong Yang <yyang@redhat.com> 0:7.1.3-1.Final_redhat_1
- Build against EAP6.0.1(AS 7.1.3)
- Add domain-ec2.xml

* Wed Jul 25 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-15.Final_redhat_1
- use defattr to set default permission of /var/cache/jboss-ec2-eap to 0700

* Wed Jul 25 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-14.Final_redhat_1
- Change permission of dir /var/cache/jboss-ec2-eap to 0700

* Thu Jul 05 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-13.Final_redhat_1
- Update to 1de009480f40e6c1f4000ea9f6ebac51a7719d3e

* Thu Jul 05 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-12.Final_redhat_1
- Requires: util-linux-ng
- Fix attr

* Thu Jun 21 2012 Chris O'Brien <cobrien@redhat.com> 0:7.1.2-10.Final_redhat_1
- Update to 22600462a4d39458ff8c0515cea02cd52e9ec1f3
- Remove modcluster subsystem from standalone-ec2-ha.xml
- Add standalone-mod_cluster-ec2-ha.xml to configurations

* Wed Jun 13 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-9.Final_redhat_1
- Update to 1a2a265d049e6069d8312684cefe48ca78c40394
- Add cluster-demo to sample sub-package
- Build against EAP6 GA, in fact GA has same sources with CR1

* Fri Jun 08 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-8.Final_redhat_1
- Update to afc83ff07475b71a6682de00d5d2986b598a0ab9

* Fri Jun 01 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-7.Final_redhat_1
- Update to 40ecf14ca70bee86d512e95e17165af9e4ffb8e5
- Build against EAP6 CR1

* Mon May 21 2012 Yong Yang <yyang@redhat.com> 0:7.1.2-6.Final_redhat_1
- Correct release number

* Mon May 21 2012 Yong Yang <yyang@redhat.com> 0:6.0.0-8.ER8_redhat_1
- Update to 092d92beee17e3908687ee464493571013f70a05
- Remove template.xml, add web-ec2.xml
- Add hellojsp sample

* Tue May 08 2012 Yong Yang <yyang@redhat.com> 0:7.1.1-6.3.Final_redhat_1
- Update to 54902dfe550d04b12dba5847b3cc366441365ec7, with script location correction

* Sat Apr 28 2012 Yong Yang <yyang@redhat.com> 0:7.1.1-6.2.Final_redhat_1
- Update to 901f417f396de955a13836e99b1121fe8d08fdbf
- jboss_user-data.sh script is updated to set JBOSS_SERVER_CONFIG to standalone-ec2-ha.xml
- build.sh doesn't build subsystems-ec2-ha.xml, need to update build.xml in jboss-as/build

* Fri Apr 27 2012 Yong Yang <yyang@redhat.com> 0:7.1.1-6.1.Final_redhat_1
- First build
